import { caesarCoding, hexCoding, morseCoding } from './codings.js';
import { playMorse } from './morse.js';

document.querySelector('#encode').onclick = function() {
	let text = document.querySelector('input').value;
	let coding = document.querySelector('select').value;
	let code = '';
	switch (coding) {
		case 'Morse':
			code = morseCoding.encode(text);
			break;
		case 'Hex':
			code = hexCoding.encode(text);
			break;
		case 'Caesar':
			code = caesarCoding.encode(text);
			break;
	}
	document.querySelector('.code').innerText = code;
	document.querySelector('#play').style.display = (coding === 'Morse' ? 'block' : 'none');
}

document.querySelector('#play').onclick = function() {
	let code = document.querySelector('.code').innerText;
	playMorse(code);
}
