let audioContext;

export async function playMorse(code) {
	audioContext = new AudioContext();
	await beep(0);
	await pause(1000);
	for (let char of code) {
		if (char === '.')
			await beep(100);
		else if (char === '-')
			await beep(300);
		else if (char === '/')
			await pause(300);
		await pause(100);
	}
}

function beep(duration) {
	let oscillator = audioContext.createOscillator();
	oscillator.connect(audioContext.destination);
	oscillator.start();
	return new Promise(resolve => {
		setTimeout(() => {
			oscillator.stop();
			resolve();
		}, duration);
	});
}

function pause(duration) {
	return new Promise(resolve => setTimeout(resolve, duration));
}
